import cx from "../../../../../utils/css/cx.js";
import classes from './styles.module.scss';
import Label from './Label';
const cls = cx.merge(classes);
const StateLabels = function StateLabels(props) {
  const {
    paths,
    scales,
    chartId,
    white
  } = props;
  return <g className={cls('labels', {
    white
  })}>
      {paths.map(p => <Label key={p.fips} chartId={chartId} scales={scales} {...p} />)}
    </g>;
};
export default StateLabels;